{*
* 2007-2015 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2015 PrestaShop SA
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

<div style="font-size: 8pt; color: #000">

<table style="width:100%; font-size:7pt">
<tr>
	<td style="width: 20%"></td>
	<td style="width: 80%; text-align: center;">
		<table style="width:100%; text-align:center; border:1px solid #666;">
	 <tr style="line-height:5px;">
    	<th style="border:1px solid #666; background-color: #F7F7F7;"><b>{l s='Order Number:' pdf='true'}</b></th>
        <th style="border:1px solid #666; background-color: #F7F7F7;"><b>{l s='Order Date:' pdf='true'}</b></th>
        <th style="border:1px solid #666; background-color: #F7F7F7;"><b>{l s='Payment Method:' pdf='true'}</b></th>
        <th style="border:1px solid #666; background-color: #F7F7F7;">{if isset($carrier)}<b>{l s='Carrier:' pdf='true'}{/if}</b></th>
    </tr>
    
    <tr style="line-height:5px;">
    	<td style="border:1px solid #666">{$order->getUniqReference()}</td>
        <td style="border:1px solid #666">{dateFormat date=$order->date_add full=0}</td>
     	<td style="border:1px solid #666">{foreach from=$order_invoice->getOrderPaymentCollection() item=payment}
			{$payment->payment_method}
			{foreachelse}
			{l s='No payment' pdf='true'}
			{/foreach} </td>
       <td style="border:1px solid #666">
       	{if isset($carrier)}
			{$carrier->name}
			{/if}</td>   
     </tr>
		</table>
	</td>
</tr>
</table>

<div style="line-height: 2pt">&nbsp;</div>

<!-- ADDRESSES -->
{if !empty($delivery_address)}
	<table style="width: 100%">
		<tr>
        <td style="width:10%;"></td>
			<td style="width: 35%; ">
				<div style="background-color: #F7F7F7;line-height:5px"><span style="font-weight: bold; font-size: 9pt; text-align:center;text-transform:uppercase;">{l s='Delivery Address' pdf='true'}</span></div><br /><span style="font-size: 8pt; text-align:left;">{$delivery_address}</span>
			</td>
            <td style="width:10%;"></td>
			<td style="width: 35%;">
				<div style="background-color: #F7F7F7;line-height:5px"><span style="font-weight: bold; font-size: 9pt; text-align:center;text-transform:uppercase;">{l s='Billing Address' pdf='true'}</span></div><br /><span style="font-size: 8pt; text-align:left;">{$invoice_address}</span>
			</td>
            <td style="width:10%;"></td>
		</tr>
	</table>
{else}
	<table style="width: 100%;">
        <tr>
        	<td style="width:10%;"></td>
            <td style="width:35%;">
				<div style="background-color: #F7F7F7;line-height:5px"><span style="font-weight: bold; font-size: 9pt; text-align:center;text-transform:uppercase;">{l s='Delivery Address' pdf='true'}</span></div><br /><span style="font-size: 8pt; text-align:left;">{$invoice_address}</span>
			</td>
            <td style="width:10%;"></td>
			<td style="width: 35%; ">
				<div style="background-color: #F7F7F7;line-height:5px"><span style="font-weight: bold; font-size: 9pt; text-align:center;text-transform:uppercase;">{l s='Billing Address' pdf='true'}</span></div><br /><span style="font-size: 8pt; text-align:left">{$invoice_address}</span>
			</td>	
            <td style="width:10%;"></td>
		</tr>
	</table>
{/if}
<!-- / ADDRESSES -->

<div style="line-height: 2pt">&nbsp;</div>

<!-- PRODUCTS TAB -->
<table style="width: 100%;">
	<tr>
		<td style="text-align: center; border:1px solid #666;">
			<table style="width: 100%;">
				<tr style="background-color: #F7F7F7; line-height:8px ">
                <!-- Product / Reference -->
					<td style="text-align: center; width: 35%; font-weight: bold; ">{l s='Product / Reference' pdf='true'}</td>
						<!-- unit price tax excluded is mandatory -->
						{if !$tax_excluded_display}
							<td style="text-align: center; width: 20%; font-weight: bold;">
                            	{l s='Unit Price' pdf='true'} {l s='(Tax Excl.)' pdf='true'}
                     		</td>
						{/if}
					<td style="text-align: center; width: 20%; font-weight: bold;">{l s='Unit Price' pdf='true'}
						{if $tax_excluded_display}
							 {l s='(Tax Excl.)' pdf='true'}
						{else}
							 {l s='(Tax Incl.)' pdf='true'}
						{/if}
					</td>
					<td style="text-align: center;width: 10%; font-weight: bold;">{l s='Qty' pdf='true'}</td>
					<td style="text-align: right;width: 15%; font-weight: bold;">{l s='Total' pdf='true'}
						{if $tax_excluded_display}
							{l s='(Tax Excl.)' pdf='true'}
						{else}
							{l s='(Tax Incl.)' pdf='true'}
						{/if}
					</td>
				</tr>
				
<!-- PRODUCTS -->
				{foreach $order_details as $order_detail}
				{cycle values='#FFF,#F7F7F7' assign=bgcolor}
				<tr style="line-height:8px; background-color:{$bgcolor};">
					<td style="text-align: left; width: 35%;">{$order_detail.product_name}</td>
					<!-- unit price tax excluded is mandatory -->
					{if !$tax_excluded_display}
						<td style="text-align: center; width: 20%">
						{displayPrice currency=$order->id_currency price=$order_detail.unit_price_tax_excl}
						</td>
					{/if}
					<td style="text-align: ; width: 20%">
					{if $tax_excluded_display}
						{displayPrice currency=$order->id_currency price=$order_detail.unit_price_tax_excl}
					{else}
						{displayPrice currency=$order->id_currency price=$order_detail.unit_price_tax_incl}
					{/if}
					</td>
					<td style="text-align: center; width: 10%">{$order_detail.product_quantity}</td>
					<td style="width: 15%; text-align: right;  width: 15%">
					{if $tax_excluded_display}
						{displayPrice currency=$order->id_currency price=$order_detail.total_price_tax_excl}
					{else}
						{displayPrice currency=$order->id_currency price=$order_detail.total_price_tax_incl}
					{/if}
					</td>
				</tr>
					{foreach $order_detail.customizedDatas as $customizationPerAddress}
						{foreach $customizationPerAddress as $customizationId => $customization}
						<tr>
							<td style="text-align: left; width: 60%; vertical-align: middle">
								<blockquote>
									{if isset($customization.datas[$smarty.const._CUSTOMIZE_TEXTFIELD_]) && count($customization.datas[$smarty.const._CUSTOMIZE_TEXTFIELD_]) > 0}
										{foreach $customization.datas[$smarty.const._CUSTOMIZE_TEXTFIELD_] as $customization_infos}
											{$customization_infos.name}: {$customization_infos.value}
												{if !$smarty.foreach.custo_foreach.last}<br />
													{else}
													<div style="line-height:0.4pt">&nbsp;</div>
													{/if}
										  {/foreach}
									  {/if}

									  {if isset($customization.datas[$smarty.const._CUSTOMIZE_FILE_]) && count($customization.datas[$smarty.const._CUSTOMIZE_FILE_]) > 0}
											{count($customization.datas[$smarty.const._CUSTOMIZE_FILE_])} {l s='image(s)' pdf='true'}
									   {/if}
									</blockquote>
								</td>
								<td style="text-align: center; width: 15%"></td>
								<td style="text-align: center; width: 10%; vertical-align:middle">({$customization.quantity})</td>
								<td style="width: 15%; text-align: center;"></td>
							</tr>
						{/foreach}
					{/foreach}
				{/foreach}
				<!-- END PRODUCTS -->
                

<!-- CART RULES -->
				{assign var="shipping_discount_tax_incl" value="0"}
				{foreach $cart_rules as $cart_rule}
					<tr style="line-height:8px;"  >
						<!-- <td colspan="{if !$tax_excluded_display}5{else}4{/if}">{$cart_rule.name}</td> -->	
                        <td style="text-align: left"; colspan="3">{$cart_rule.name}</td>
                        <td style="text-align: center">1</td>
						<td style="text-align: right">
							{if $cart_rule.free_shipping}
					{assign var="shipping_discount_tax_incl" value=$order_invoice->total_shipping_tax_incl}
				{/if}
				{if $tax_excluded_display}
					- {displayPrice currency=$order->id_currency price=$cart_rule.value_tax_excl}
				{else}
					- {displayPrice currency=$order->id_currency price=$cart_rule.value}
				{/if}
						</td>
					</tr>
				{/foreach}
				<!-- END CART RULES -->
            
                
			</table>
            
            
		</td>
	</tr>
</table>

<div style="line-height: 1pt">&nbsp;</div>

<table style="width: 100%" >
	<tr>
		<td style="width:65%"></td>
<td style="width: 35%; border:1px solid #666">
			<table style="width: 100%; ">
				{if (($order_invoice->total_paid_tax_incl - $order_invoice->total_paid_tax_excl) > 0)}
				<tr style="line-height:6px; "> 
					<td style="width: 75%; text-align: right; font-weight: bold;background-color: #F7F7F7; border-bottom:1px solid #fff">{l s='Product Total (Tax Excl.)' pdf='true'} :</td>
					<td style="width: 25%; text-align: right; font-weight: bold;border-bottom:1px solid #fff">{displayPrice currency=$order->id_currency price=$order_invoice->total_products}</td>
				</tr>

				<tr style="line-height:6px;">
              
					<td style="width: 75%; text-align: right; font-weight: bold; background-color: #F7F7F7; border-bottom:1px solid #fff">{l s='Product Total (Tax Incl.)' pdf='true'} :</td>
					<td style="width: 25%; text-align: right;font-weight: bold; border-bottom:1px solid #fff">{displayPrice currency=$order->id_currency price=$order_invoice->total_products_wt}</td>
				</tr>
				{else}
				<tr style="line-height:6px;">
             
					<td style="width: 75%; text-align: right; font-weight: bold; background-color: #F7F7F7; border-bottom:1px solid #fff">{l s='Product Total' pdf='true'} :</td>
					<td style="width: 25%; text-align: right;font-weight: bold; border-bottom:1px solid #fff">{displayPrice currency=$order->id_currency price=$order_invoice->total_products}</td>
				</tr>
				{/if}

				{if $order_invoice->total_discount_tax_incl > 0}
				<tr style="line-height:6px;">
               
					<td style="text-align: right; font-weight: bold;background-color: #F7F7F7; border-bottom:1px solid #fff">{l s='Total Vouchers' pdf='true'} :</td>
					<td style="width: 25%; text-align: right;font-weight: bold; border-bottom:1px solid #fff">-{displayPrice currency=$order->id_currency price=($order_invoice->total_discount_tax_incl + $shipping_discount_tax_incl)}</td>
				</tr>
				{/if}

				{if $order_invoice->total_wrapping_tax_incl > 0}
				<tr style="line-height:6px;">
             
					<td style="text-align: right; font-weight: bold; background-color: #F7F7F7; border-bottom:1px solid #fff">{l s='Wrapping Cost' pdf='true'} :</td>
					<td style="width: 25%; text-align: right;font-weight: bold; border-bottom:1px solid #fff">
					{if $tax_excluded_display}
						{displayPrice currency=$order->id_currency price=$order_invoice->total_wrapping_tax_excl}
					{else}
						{displayPrice currency=$order->id_currency price=$order_invoice->total_wrapping_tax_incl}
					{/if}
					</td>
				</tr>
				{/if}

				{if $order_invoice->total_shipping_tax_incl > 0}
				<tr style="line-height:6px;">
               
					<td style="text-align: right; background-color: #F7F7F7; font-weight: bold">{l s='Shipping Cost' pdf='true'} :</td>
					<td style="width: 25%; text-align: right;font-weight: bold">
						{if $tax_excluded_display}
							{displayPrice currency=$order->id_currency price=$order_invoice->total_shipping_tax_excl}
							{else}
							{displayPrice currency=$order->id_currency price=$order_invoice->total_shipping_tax_incl}
						{/if}
					</td>
				</tr>
				{/if}

				{if ($order_invoice->total_paid_tax_incl - $order_invoice->total_paid_tax_excl) > 0}
				<tr style="line-height:6px;">
              
					<td style="text-align: right;background-color: #F7F7F7; border-bottom:1px solid #fff; font-weight: bold">{l s='Total Tax' pdf='true'} :</td>
					<td style="width: 25%; text-align: right;border-bottom:1px solid #fff; font-weight: bold">{displayPrice currency=$order->id_currency price=($order_invoice->total_paid_tax_incl - $order_invoice->total_paid_tax_excl)}</td>
				</tr>
				{/if}

				<tr style="line-height:6px;">
               
					<td style="text-align: right; background-color: #F7F7F7;font-weight: bold">{l s='Total' pdf='true'} :</td>
					<td style="width: 25%; text-align: right; font-weight: bold">{displayPrice currency=$order->id_currency price=$order_invoice->total_paid_tax_incl}</td>
				</tr>

			</table>
            	</td>
	</tr>
</table>

<div style="line-height: 2pt">&nbsp;</div>
<!-- / PRODUCTS TAB -->

{$tax_tab}
{if isset($order_invoice->note) && $order_invoice->note}
<table style="width: 100%">
	<tr>
		<td style="width: 15%"></td>
		<td style="width: 85%">{$order_invoice->note|nl2br}</td>
	</tr>
</table>
{/if}

{if isset($HOOK_DISPLAY_PDF)}
<table style="width: 100%">
	<tr>
		<td style="width: 15%"></td>
		<td style="width: 85%">{$HOOK_DISPLAY_PDF}</td>
	</tr>
</table>
{/if}

<table style="width: 100%;">
 <tr>
  <td style="width: 17%"></td>
   <td style="width: 66%">{if $available_in_your_account}{l s='An electronic version of this invoice is available in your account. To access it, log in to our website using your e-mail address and password (which you created when placing your first order).' pdf='true'}{/if}</td>
  </td style="width: 17%"></td>
 </tr>
</table>

</div>
